Package opennlp.tools.namefind

# Class NameSampleSequenceStream

java.lang.Object
opennlp.tools.namefind.NameSampleSequenceStream

All Implemented Interfaces:
  `AutoCloseable`, `SequenceStream<NameSample>`, `ObjectStream<Sequence<NameSample>>`

public class NameSampleSequenceStream extends Object implements SequenceStream<NameSample>
A `SequenceStream` implementation encapsulating `samples`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameSampleSequenceStream(ObjectStream<NameSample> psi)`
  Initializes a `NameSampleSequenceStream` with given `psi` samples.
  `NameSampleSequenceStream(ObjectStream<NameSample> psi, NameContextGenerator pcg)`
  Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.
  `NameSampleSequenceStream(ObjectStream<NameSample> psi, NameContextGenerator pcg, boolean useOutcomes)`
  Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.
  `NameSampleSequenceStream(ObjectStream<NameSample> psi, NameContextGenerator pcg, boolean useOutcomes, SequenceCodec<String> seqCodec)`
  Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.
  `NameSampleSequenceStream(ObjectStream<NameSample> psi, AdaptiveFeatureGenerator featureGen)`
  Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.
  `NameSampleSequenceStream(ObjectStream<NameSample> psi, AdaptiveFeatureGenerator featureGen, boolean useOutcomes)`
  Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the `ObjectStream` and releases all allocated resources.
  `Sequence<NameSample>`
  `read()`
  Returns the next `ObjectStream` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.
  `Event[]`
  `updateContext(Sequence<NameSample> sequence, AbstractModel model)`
  Creates a new event array based on the outcomes predicted by the specified parameters for the specified `Sequence`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NameSampleSequenceStream

    public NameSampleSequenceStream(ObjectStream<NameSample> psi)
    Initializes a `NameSampleSequenceStream` with given `psi` samples.
    Parameters:
      `psi` - The data stream of `samples`.

  - ### NameSampleSequenceStream

    public NameSampleSequenceStream(ObjectStream<NameSample> psi, AdaptiveFeatureGenerator featureGen)
    Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.
    Parameters:
      `psi` - The data stream of `samples`.
      `featureGen` - The `feature generator` to use.

  - ### NameSampleSequenceStream

    public NameSampleSequenceStream(ObjectStream<NameSample> psi, AdaptiveFeatureGenerator featureGen, boolean useOutcomes)
    Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.
    Parameters:
      `psi` - The data stream of `samples`.
      `featureGen` - The `feature generator` to use.
      `useOutcomes` - Whether to use outcomes or not.

  - ### NameSampleSequenceStream

    public NameSampleSequenceStream(ObjectStream<NameSample> psi, NameContextGenerator pcg)
    Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.
    Parameters:
      `psi` - The data stream of `samples`.
      `pcg` - The `context generator` to use.

  - ### NameSampleSequenceStream

    public NameSampleSequenceStream(ObjectStream<NameSample> psi, NameContextGenerator pcg, boolean useOutcomes)
    Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.
    Parameters:
      `psi` - The data stream of `samples`.
      `pcg` - The `context generator` to use.
      `useOutcomes` - Whether to use outcomes or not.

  - ### NameSampleSequenceStream

    public NameSampleSequenceStream(ObjectStream<NameSample> psi, NameContextGenerator pcg, boolean useOutcomes, SequenceCodec<String> seqCodec)
    Initializes a `NameSampleSequenceStream` with given `psi` samples and an `feature generator`.
    Parameters:
      `psi` - The data stream of `samples`.
      `pcg` - The `context generator` to use.
      `useOutcomes` - Whether to use outcomes or not.
      `seqCodec` - The `SequenceCodec` to use.

- ## Method Details

  - ### updateContext

    public Event[] updateContext(Sequence<NameSample> sequence, AbstractModel model)
    Description copied from interface: `SequenceStream`
    Creates a new event array based on the outcomes predicted by the specified parameters for the specified `Sequence`.
    Specified by:
      `updateContext` in interface `SequenceStream<NameSample>`
    Parameters:
      `sequence` - The `Sequence` to be evaluated.
      `model` - The `model` to use.
    Returns:
      The resulting `Event` array.

  - ### read

    public Sequence<NameSample> read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `ObjectStream` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<Sequence<NameSample>>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<Sequence<NameSample>>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.
      `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

  - ### close

    public void close() throws IOException
    Description copied from interface: `ObjectStream`
    Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ObjectStream<Sequence<NameSample>>`
    Throws:
      `IOException` - Thrown if there is an error during closing the stream.